{% extends "base.html" %} {% block links %} {{ super() }} {% endblock %} {%
block title %} Company - {% endblock %} {% block header %} {% include
"sub_templates/header.html" %} {% endblock %} {% block main %}
<h1 class="text-2xl font-semibold text-center mb-10">
  Informations de la convention de "<a style="color: blue"
    href="{{ url_for('user_profil', id=convention.user.id) }}">{{ convention.user.first_name }}
    {{ convention.user.last_name }}</a>"
</h1>

<div class="flex gap-5">
  <section class="shadow rounded px-4 py-3 w-1/3">
    <h2 class="text-lg font-semibold mb-2">Infos de l'entreprise</h2>

    <table class="w-full rounded-lg overflow-hidden border border-collapse">
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
          Adresse complète
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ company.address }}, {{ company.cpostal }} - {{ company.ville }} 
        </td>
      </tr>
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
          Numéro de téléphone
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ convention.company.contact_phone }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
          Email
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ convention.company.contact_email }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
          Numéro SIRET
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ convention.company.siret }}
        </td>
      </tr>
    </table>

    <h2 class="text-lg font-semibold mb-2 mt-5">Infos du responsable</h2>

    <table class="w-full rounded-lg overflow-hidden border border-collapse">
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
          Nom
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ convention.company.responsable.first_name }} {{
          convention.company.responsable.last_name }}
        </td>
      </tr>
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
          Numéro de téléphone
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ convention.company.responsable.phone_number }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
          Email
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ convention.company.responsable.email }}
        </td>
      </tr>
    </table>
  </section>

  <section class="shadow rounded px-4 py-3 w-2/3 flex flex-col">
    <h2 class="text-lg font-semibold mb-2">Information de la convention</h2>

    <ul class="text-sm">
      <hr style="margin: 1.2rem 0" />
      <h4 class="text-lg font-semibold mb-2">Information de l'étudiant</h4>
      <li>- Crée le : {{ convention.created_at }}</li>
      <li>- Le prénom de l'étudiant : {{ convention.user.first_name }}</li>
      <li>- Le nom de l'étudiant : {{ convention.user.last_name }}</li>
      <li>- L'email de l'étudiant : {{ convention.user.email }}</li>
      <li>- Le numéro de l'étudiant : {{ convention.user.numero }}</li>
      <hr style="margin: 1.2rem 0" />
      <h4 class="text-lg font-semibold mb-2">Information de la mission</h4>
      <li>- Mission(s) : {{ convention.mission_request.missions }}</li>
      <li>- Date de début : {{ convention.mission_request.start_at }}</li>
      <li>- Date de fin : {{ convention.mission_request.end_at }}</li>
      <li>
        - Status de le convention : {% if convention.status == 0 %}En cours{%
        elif convention.status == 1 %}Acceptée{% elif convention.status == 2
        %}Réfusée<br>
        <p>* Si la convention est réfusée, supprimer la et recommncer</p>{% endif %}
      </li>


      <hr style="margin: 1.2rem 0" />
      <h4 class="text-lg font-semibold mb-2">Actions</h4>

      <div class="flex gap-2">
        {% if current_user.role_id == 1 %}
        <li>
          <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
            href="{{ url_for('delete_my_convention') }}">Annuler la convention</a>
        </li>
        {% if convention.status == 1 %}
        <li>
          <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
            href="{{ url_for('static', filename='conventions/'+ convention.user.numero +'.docx') }}"
            download="{{ convention.user.numero }}.docx">Télécharger cette convention</a>
        </li>
        {% endif %}
        <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
          href="{{ url_for('add_problem') }}">Un problème ?</a>
        {% elif current_user.role_id == 3 %}
        {% if convention.status != 1 %}
        <li>
          <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
            href="{{ url_for('convention_status', id=convention.id, new_status="accepte") }}">Accepter cette
            convention</a>
        </li>
        {% endif %}
        {% if convention.status != 2 %}
        <li>
          <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
            href="{{ url_for('convention_status', id=convention.id, new_status="refuse") }}">Réfuser cette
            convention</a>
        </li>
        {% endif %}
        <li>
          <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
            href="{{ url_for('static', filename='conventions/'+ convention.user.numero +'.docx') }}"
            download="{{ convention.user.numero }}.docx">Télécharger cette convention</a>
        </li>
        {% endif %}
      </div>
    </ul>
  </section>
</div>

{% endblock %} {% block footer %} {% include "sub_templates/footer.html" %} {%
endblock footer%} {% block script %} {{ super() }} {% endblock %}